Bug 351261 - crashing by tagging
Summary: crashing by tagging
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Sqlite (show other bugs)
Version: 4.12.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2015-08-13 15:47 UTC by Ingo Rehmke
Modified: 2020-07-26 12:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Rehmke 2015-08-13 15:47:00 UTC
Application: digikam (4.12.0)
KDE Platform Version: 4.14.9
Qt Version: 4.8.6
Operating System: Linux 3.16.7-21-desktop x86_64
Distribution: "openSUSE 13.2 (Harlequin) (x86_64)"

-- Information about the crash:
Trying to Tag Fotos. Tagging is ok until dk crashes. When i restart dk, i can see the tags in the files

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7f5972121880 (LWP 12174))]

Thread 10 (Thread 0x7f594c4bf700 (LWP 12176)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f596b6b8c86 in wait (time=18446744073709551615, this=0x1f88690) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x1f885a0, mutex=mutex@entry=0x1f88598, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005e47ee in Digikam::ScanController::run (this=0x1eecc60) at /usr/src/debug/digikam-4.12.0/core/app/database/scancontroller.cpp:725
#4  0x00007f596b6b879f in QThreadPrivate::start (arg=0x1eecc60) at thread/qthread_unix.cpp:349
#5  0x00007f5968b270a4 in start_thread (arg=0x7f594c4bf700) at pthread_create.c:309
#6  0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 9 (Thread 0x7f594bcbe700 (LWP 12177)):
#0  QTimerInfoList::repairTimersIfNeeded (this=0x7f593c002ee0) at kernel/qeventdispatcher_unix.cpp:413
#1  0x00007f596b7e888b in QTimerInfoList::timerWait (this=0x7f593c002ee0, tm=...) at kernel/qeventdispatcher_unix.cpp:461
#2  0x00007f596b7e6f8c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f594bcbdb64) at kernel/qeventdispatcher_glib.cpp:143
#3  0x00007f596b7e7035 in timerSourcePrepare (source=<optimized out>, timeout=timeout@entry=0x7f594bcbdb64) at kernel/qeventdispatcher_glib.cpp:176
#4  0x00007f5962d1e28d in g_main_context_prepare (context=context@entry=0x7f593c0009a0, priority=priority@entry=0x7f594bcbdbe8) at gmain.c:3399
#5  0x00007f5962d1eb03 in g_main_context_iterate (context=context@entry=0x7f593c0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3761
#6  0x00007f5962d1ecec in g_main_context_iteration (context=0x7f593c0009a0, may_block=1) at gmain.c:3842
#7  0x00007f596b7e70de in QEventDispatcherGlib::processEvents (this=0x7f593c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#8  0x00007f596b7b8e6f in QEventLoop::processEvents (this=this@entry=0x7f594bcbdd20, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f596b7b9165 in QEventLoop::exec (this=this@entry=0x7f594bcbdd20, flags=...) at kernel/qeventloop.cpp:204
#10 0x00007f596b6b60bf in QThread::exec (this=this@entry=0x1f011c0) at thread/qthread.cpp:538
#11 0x00007f596b79a783 in QInotifyFileSystemWatcherEngine::run (this=0x1f011c0) at io/qfilesystemwatcher_inotify.cpp:265
#12 0x00007f596b6b879f in QThreadPrivate::start (arg=0x1f011c0) at thread/qthread_unix.cpp:349
#13 0x00007f5968b270a4 in start_thread (arg=0x7f594bcbe700) at pthread_create.c:309
#14 0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7f594b4bd700 (LWP 12179)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f596b6b8c86 in wait (time=18446744073709551615, this=0x202c310) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2020e90, mutex=mutex@entry=0x2020e88, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f596fecac9a in Digikam::ParkingThread::run (this=0x2020e70) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f596b6b879f in QThreadPrivate::start (arg=0x2020e70) at thread/qthread_unix.cpp:349
#5  0x00007f5968b270a4 in start_thread (arg=0x7f594b4bd700) at pthread_create.c:309
#6  0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7f5936529700 (LWP 12190)):
#0  0x00007f596abd0c5d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f5962d1ebe4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f592002c320, timeout=-1, context=0x7f59200009a0) at gmain.c:4076
#2  g_main_context_iterate (context=context@entry=0x7f59200009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3776
#3  0x00007f5962d1ecec in g_main_context_iteration (context=0x7f59200009a0, may_block=1) at gmain.c:3842
#4  0x00007f596b7e70de in QEventDispatcherGlib::processEvents (this=0x7f59200008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#5  0x00007f596b7b8e6f in QEventLoop::processEvents (this=this@entry=0x7f5936528ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f596b7b9165 in QEventLoop::exec (this=this@entry=0x7f5936528ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f596feca363 in Digikam::WorkerObjectRunnable::run (this=0x7f58bc078ef0) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f596b6ac6ae in QThreadPoolThread::run (this=0x4179120) at concurrent/qthreadpool.cpp:108
#9  0x00007f596b6b879f in QThreadPrivate::start (arg=0x4179120) at thread/qthread_unix.cpp:349
#10 0x00007f5968b270a4 in start_thread (arg=0x7f5936529700) at pthread_create.c:309
#11 0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7f5935d28700 (LWP 12191)):
#0  0x00007f5962d60910 in g_mutex_unlock (mutex=0x7f590c0009a0) at gthread-posix.c:1344
#1  0x00007f5962d1ea9d in g_main_context_iterate (context=context@entry=0x7f590c0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#2  0x00007f5962d1ecec in g_main_context_iteration (context=0x7f590c0009a0, may_block=1) at gmain.c:3842
#3  0x00007f596b7e70de in QEventDispatcherGlib::processEvents (this=0x7f590c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#4  0x00007f596b7b8e6f in QEventLoop::processEvents (this=this@entry=0x7f5935d27ce0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f596b7b9165 in QEventLoop::exec (this=this@entry=0x7f5935d27ce0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f596feca363 in Digikam::WorkerObjectRunnable::run (this=0x7f58bc06a640) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007f596b6ac6ae in QThreadPoolThread::run (this=0x417d440) at concurrent/qthreadpool.cpp:108
#8  0x00007f596b6b879f in QThreadPrivate::start (arg=0x417d440) at thread/qthread_unix.cpp:349
#9  0x00007f5968b270a4 in start_thread (arg=0x7f5935d28700) at pthread_create.c:309
#10 0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7f5935527700 (LWP 12192)):
#0  0x00007f596abd0c5d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f5962d1ebe4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f5910025950, timeout=-1, context=0x7f59100009a0) at gmain.c:4076
#2  g_main_context_iterate (context=context@entry=0x7f59100009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3776
#3  0x00007f5962d1ecec in g_main_context_iteration (context=0x7f59100009a0, may_block=1) at gmain.c:3842
#4  0x00007f596b7e70de in QEventDispatcherGlib::processEvents (this=0x7f59100008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#5  0x00007f596b7b8e6f in QEventLoop::processEvents (this=this@entry=0x7f5935526ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f596b7b9165 in QEventLoop::exec (this=this@entry=0x7f5935526ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f596feca363 in Digikam::WorkerObjectRunnable::run (this=0x68f8590) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f596b6ac6ae in QThreadPoolThread::run (this=0x417d920) at concurrent/qthreadpool.cpp:108
#9  0x00007f596b6b879f in QThreadPrivate::start (arg=0x417d920) at thread/qthread_unix.cpp:349
#10 0x00007f5968b270a4 in start_thread (arg=0x7f5935527700) at pthread_create.c:309
#11 0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f5934525700 (LWP 12194)):
[KCrash Handler]
#6  sqlite3DbFree (db=0x7f592001f9d0, p=0x7f59200b1018) at sqlite3.c:20234
#7  0x00007f59556095f4 in vdbeFreeOpArray (db=0x7f592001f9d0, aOp=0x7f5920012b68, nOp=<optimized out>) at sqlite3.c:62937
#8  0x00007f5955609c79 in sqlite3VdbeClearObject (db=0x7f592001f9d0, p=0x7f592001c1d8) at sqlite3.c:64896
#9  0x00007f5955609cfc in sqlite3VdbeDelete (p=0x7f592001c1d8) at sqlite3.c:64915
#10 0x00007f595564c996 in sqlite3VdbeFinalize (p=p@entry=0x7f592001c1d8) at sqlite3.c:64837
#11 0x00007f595564c9d7 in sqlite3_finalize (pStmt=0x7f592001c1d8) at sqlite3.c:66321
#12 0x00007f594aab8b5c in finalize (this=0x7f5920079750) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:154
#13 QSQLiteDriver::close (this=0x7f5918035220) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:587
#14 0x00007f594aab724e in QSQLiteDriver::open (this=0x7f5918035220, db=..., conOpts=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:548
#15 0x00007f5971d8e7e1 in QSqlDatabase::open (this=this@entry=0x7f59345244d0) at kernel/qsqldatabase.cpp:839
#16 0x00007f59671a6b48 in fileMappingDb (path=...) at /usr/src/debug/baloo-4.14.3/src/file/lib/db.cpp:50
#17 0x00007f59671a7148 in fileMappingDb () at /usr/src/debug/baloo-4.14.3/src/file/lib/db.cpp:39
#18 0x00007f59671a313c in Baloo::FileModifyJob::doStart (this=0x7f591802d2b0) at /usr/src/debug/baloo-4.14.3/src/file/lib/filemodifyjob.cpp:113
#19 0x00007f596b7d259e in QObject::event (this=0x7f591802d2b0, e=<optimized out>) at kernel/qobject.cpp:1231
#20 0x00007f596c1c876c in QApplicationPrivate::notify_helper (this=this@entry=0x1dcffa0, receiver=receiver@entry=0x7f591802d2b0, e=e@entry=0x7f591803d3f0) at kernel/qapplication.cpp:4565
#21 0x00007f596c1cecad in QApplication::notify (this=this@entry=0x7fff52e101f0, receiver=receiver@entry=0x7f591802d2b0, e=e@entry=0x7f591803d3f0) at kernel/qapplication.cpp:4351
#22 0x00007f596cee0e0a in KApplication::notify (this=0x7fff52e101f0, receiver=0x7f591802d2b0, event=0x7f591803d3f0) at /usr/src/debug/kdelibs-4.14.9/kdeui/kernel/kapplication.cpp:311
#23 0x00007f596b7ba2ad in QCoreApplication::notifyInternal (this=0x7fff52e101f0, receiver=receiver@entry=0x7f591802d2b0, event=event@entry=0x7f591803d3f0) at kernel/qcoreapplication.cpp:953
#24 0x00007f596b7bd57d in sendEvent (event=0x7f591803d3f0, receiver=0x7f591802d2b0) at kernel/qcoreapplication.h:231
#25 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x417e4a0) at kernel/qcoreapplication.cpp:1577
#26 0x00007f596b7bda23 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#27 0x00007f596b7e78fe in sendPostedEvents () at kernel/qcoreapplication.h:236
#28 postEventSourceDispatch (s=0x7f59180012e0) at kernel/qeventdispatcher_glib.cpp:300
#29 0x00007f5962d1ea04 in g_main_dispatch (context=0x7f59180009a0) at gmain.c:3111
#30 g_main_context_dispatch (context=context@entry=0x7f59180009a0) at gmain.c:3710
#31 0x00007f5962d1ec48 in g_main_context_iterate (context=context@entry=0x7f59180009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3781
#32 0x00007f5962d1ecec in g_main_context_iteration (context=0x7f59180009a0, may_block=1) at gmain.c:3842
#33 0x00007f596b7e70be in QEventDispatcherGlib::processEvents (this=0x7f59180008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#34 0x00007f596b7b8e6f in QEventLoop::processEvents (this=this@entry=0x7f5934524ce0, flags=...) at kernel/qeventloop.cpp:149
#35 0x00007f596b7b9165 in QEventLoop::exec (this=this@entry=0x7f5934524ce0, flags=...) at kernel/qeventloop.cpp:204
#36 0x00007f596feca363 in Digikam::WorkerObjectRunnable::run (this=0x7f58bc06e960) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#37 0x00007f596b6ac6ae in QThreadPoolThread::run (this=0x417e300) at concurrent/qthreadpool.cpp:108
#38 0x00007f596b6b879f in QThreadPrivate::start (arg=0x417e300) at thread/qthread_unix.cpp:349
#39 0x00007f5968b270a4 in start_thread (arg=0x7f5934525700) at pthread_create.c:309
#40 0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f59017fa700 (LWP 12203)):
#0  g_source_iter_next (iter=iter@entry=0x7f59017f9b30, source=source@entry=0x7f59017f9b28) at gmain.c:909
#1  0x00007f5962d1e22b in g_main_context_prepare (context=context@entry=0x7f58e00009a0, priority=priority@entry=0x7f59017f9ba8) at gmain.c:3377
#2  0x00007f5962d1eb03 in g_main_context_iterate (context=context@entry=0x7f58e00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3761
#3  0x00007f5962d1ecec in g_main_context_iteration (context=0x7f58e00009a0, may_block=1) at gmain.c:3842
#4  0x00007f596b7e70de in QEventDispatcherGlib::processEvents (this=0x7f58e00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#5  0x00007f596b7b8e6f in QEventLoop::processEvents (this=this@entry=0x7f59017f9ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f596b7b9165 in QEventLoop::exec (this=this@entry=0x7f59017f9ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f596feca363 in Digikam::WorkerObjectRunnable::run (this=0x7f58bc068390) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f596b6ac6ae in QThreadPoolThread::run (this=0x3f6bde0) at concurrent/qthreadpool.cpp:108
#9  0x00007f596b6b879f in QThreadPrivate::start (arg=0x3f6bde0) at thread/qthread_unix.cpp:349
#10 0x00007f5968b270a4 in start_thread (arg=0x7f59017fa700) at pthread_create.c:309
#11 0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f58dcff9700 (LWP 12212)):
#0  0x00007f5962d608e9 in g_mutex_lock (mutex=mutex@entry=0x7f58bc0009a0) at gthread-posix.c:1331
#1  0x00007f5962d1e66c in g_main_context_check (context=context@entry=0x7f58bc0009a0, max_priority=2147483647, fds=fds@entry=0x7f58bc024a40, n_fds=n_fds@entry=1) at gmain.c:3624
#2  0x00007f5962d1eb7b in g_main_context_iterate (context=context@entry=0x7f58bc0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3778
#3  0x00007f5962d1ecec in g_main_context_iteration (context=0x7f58bc0009a0, may_block=1) at gmain.c:3842
#4  0x00007f596b7e70de in QEventDispatcherGlib::processEvents (this=0x7f58bc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#5  0x00007f596b7b8e6f in QEventLoop::processEvents (this=this@entry=0x7f58dcff8ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f596b7b9165 in QEventLoop::exec (this=this@entry=0x7f58dcff8ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f596feca363 in Digikam::WorkerObjectRunnable::run (this=0x4fd66c0) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f596b6ac6ae in QThreadPoolThread::run (this=0x3f6eb40) at concurrent/qthreadpool.cpp:108
#9  0x00007f596b6b879f in QThreadPrivate::start (arg=0x3f6eb40) at thread/qthread_unix.cpp:349
#10 0x00007f5968b270a4 in start_thread (arg=0x7f58dcff9700) at pthread_create.c:309
#11 0x00007f596abd908d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f5972121880 (LWP 12174)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f596b6b8c86 in wait (time=18446744073709551615, this=0x2cf1570) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2cf0d08, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f596fecaf64 in Digikam::WorkerObject::wait (this=0x2cf1480) at /usr/src/debug/digikam-4.12.0/core/libs/threads/workerobject.cpp:95
#4  0x00000000006296b3 in Digikam::FileActionMngr::shutDown (this=this@entry=0x2cf1150) at /usr/src/debug/digikam-4.12.0/core/app/fileaction/fileactionmngr.cpp:110
#5  0x00000000006296e5 in Digikam::FileActionMngr::~FileActionMngr (this=0x2cf1150, __in_chrg=<optimized out>) at /usr/src/debug/digikam-4.12.0/core/app/fileaction/fileactionmngr.cpp:78
#6  0x0000000000629747 in ~FileActionMngrCreator (this=0x2cf1150, __in_chrg=<optimized out>) at /usr/src/debug/digikam-4.12.0/core/app/fileaction/fileactionmngr.cpp:52
#7  destroy () at /usr/src/debug/digikam-4.12.0/core/app/fileaction/fileactionmngr.cpp:59
#8  0x00007f596ab2bbf9 in __run_exit_handlers (status=1, listp=0x7f596ae955a8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:82
#9  0x00007f596ab2bc45 in __GI_exit (status=<optimized out>) at exit.c:104
#10 0x00007f596c22efc8 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:773
#11 0x00007f596cedf9c0 in KApplication::xioErrhandler (this=0x7fff52e101f0, dpy=0x1e2ee80) at /usr/src/debug/kdelibs-4.14.9/kdeui/kernel/kapplication.cpp:419
#12 0x00007f59690c63be in _XIOError (dpy=dpy@entry=0x1e2ee80) at XlibInt.c:1498
#13 0x00007f59690c3dbd in _XEventsQueued (dpy=dpy@entry=0x1e2ee80, mode=mode@entry=2) at xcb_io.c:366
#14 0x00007f59690b5deb in XEventsQueued (dpy=0x1e2ee80, mode=2) at Pending.c:43
#15 0x00007f596c265147 in x11EventSourcePrepare (s=0x1dc04a0, timeout=timeout@entry=0x7fff52e0fb14) at kernel/qguieventdispatcher_glib.cpp:77
#16 0x00007f5962d1e28d in g_main_context_prepare (context=context@entry=0x1dd02f0, priority=priority@entry=0x7fff52e0fb98) at gmain.c:3399
#17 0x00007f5962d1eb03 in g_main_context_iterate (context=context@entry=0x1dd02f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3761
#18 0x00007f5962d1ecec in g_main_context_iteration (context=0x1dd02f0, may_block=1) at gmain.c:3842
#19 0x00007f596b7e70be in QEventDispatcherGlib::processEvents (this=0x1d21dc0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#20 0x00007f596c265676 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007f596b7b8e6f in QEventLoop::processEvents (this=this@entry=0x7fff52e0fd00, flags=...) at kernel/qeventloop.cpp:149
#22 0x00007f596b7b9165 in QEventLoop::exec (this=this@entry=0x7fff52e0fd00, flags=...) at kernel/qeventloop.cpp:204
#23 0x00007f596b7be5b9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#24 0x00007f596c1c6f3c in QApplication::exec () at kernel/qapplication.cpp:3823
#25 0x00000000004a1196 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/digikam-4.12.0/core/app/main/main.cpp:230

Reported using DrKonqi
Comment 1 caulier.gilles 2015-08-14 08:49:09 UTC
Same backtrace than bug #351260

Gilles Caulier

*** This bug has been marked as a duplicate of bug 351260 ***
Comment 2 caulier.gilles 2020-07-26 12:27:59 UTC
Fixed with #351260